;************************************************************************/
;*									*/
;*			Display values on LCD				*/
;*                                                                      */
;*                                                                      */
;*              Author: Peter Dannegger                                 */
;*                      danni@specs.de                                  */
;*                                                                      */
;************************************************************************/
;************************************************************************/
;-------------------------------------------------------------------------
;				Display value as "00" ... "255"
;-------------------------------------------------------------------------
;input: a0 = value 0..255
;
dec_out00:
	set
	mov	a3, a0
	subi	a3, 100
	brcs	_dou2		;if < 100
;-------------------------------------------------------------------------
;				Display value as "0" ... "255"
;-------------------------------------------------------------------------
;input: a0 = value 0..255
;used:	a0, a1, a2, a3
;
dec_out:
	mov	a3, a0
	clt			;to suppress preceding zero
	ldi	a0, '0' - 1
_dou1:	inc	a0
	subi	a3, 100
	brcc	_dou1
	rcall	_dou6		;output hundrets
_dou2:	ldi	a0, '0' + 10
_dou3:	dec	a0
	subi	a3, -10
	brcs	_dou3
	rcall	_dou6		;output tens
	subi	a3, -'0'
	mov	a0, a3		;output ones
_dou4:	set
_dou5:	rjmp	lcd_data
;
_dou6:	brts	_dou5		;check preceding zero
	cpi	a0, '0'
	brne	_dou4
	ret
;-------------------------------------------------------------------------
