;************************************************************************
;*									*
;*			Timer 0 interrupt				*
;*			Debounce a single key (3 times)			*
;*									*
;************************************************************************
	in	savesreg, sreg

	bst	key_reg, key_state
	sbis	key_in, key_pin
	rjmp	_deb_x0
	brts	_deb_11
	rjmp	_deb_10
_deb_x0:
	brts	_deb_10
;	rjmp	_deb_00
_deb_00:
_deb_11:					;key_state == key_pin
	cbr	key_reg, 0x03			;reset debounce counter
_deb_10:
_deb_01:					;key_state != key_pin
	sbrs	key_reg, key_press
	inc	key_reg				;count up

	out	sreg, savesreg
	reti
;-------------------------------------------------------------------------
