;************************************************************************/
;*									*/
;*			Display Temperature				*/
;*                                                                      */
;************************************************************************/
;
display_temp_inline:				;inline !
	clr	lcd_count
	ldi	zl, temp_ptr			;point to temperature val
_dte1:	ld	r0, z				;get low byte
	inc	zl
	ld	a0, z				;get high byte
	inc	zl
	cpi	a0, 0x7F
	breq	_dte3				;no valid value
	brcs	_dte2				;positive value
	lcd_char	'-'
	neg	r0				;two's complement
_dte2:	mov	a0, r0
	lsr	a0				; / 2
	rcall	dec_out
	rcall	lcd_dot
	ldi	a0, '0'
	sbrc	r0, 0
	ldi	a0, '5'
	rcall	lcd_data			;display 0.5 degree
	lcd_char	0xDF
	lcd_char	'C'

_dte3:	lcd_char	' '
	cpi	lcd_count, 8
	breq	_dte1				;get 2. reading
_dte4:	cpi	lcd_count, 16
	brne	_dte3				;fill with blanks
	rjmp	display_temp_ret		;return to main
;-------------------------------------------------------------------------
